/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for CardiacPatientRiskFactors
 */
public enum EnumCM_CardiacPatientRiskFactors {
	
	//CID 3756 Cardiac Patient Risk Factors
	HISTORY_OF_CONGESTIVE_HEART_FAILURE("History of congestive heart failure"),
	HISTORY_OF_DIABETES("History of Diabetes"),
	HISTORY_OF_RENAL_FAILURE("History of renal failure"),
	HISTORY_OF_CHRONIC_LUNG_DISEASE("History of chronic lung disease"),
	HISTORY_OF_CEREBROVASCULAR_DISEASE("History of cerebrovascular disease"),
	PERIPHERAL_VASCULAR_DISEASE("Peripheral vascular disease"),
	HISTORY_OF_MYOCARDIAL_INFARCTION("History of myocardial infarction"),
	HISTORY_OF_HYPERTENSION("History of Hypertension"),
	HISTORY_OF_HYPERCHOLESTEROLEMIA("History of hypercholesterolemia"),
	ARRHYTHMIA("Arrhythmia"),
	HIV_POSITIVE("HIV Positive"),
	INFANT_OF_GESTATIONAL_DIABETIC_MOTHER_IGDM("Infant of Gestational Diabetic Mother (IGDM)"),
	INSULIN_DEPENDENT_MOTHER_IDM("Insulin dependent mother (IDM)");
	
	private String value;

	EnumCM_CardiacPatientRiskFactors(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Meta SOP Class.
	 */
	public String getValue()
	{
		return value;
	}
}
